GET
URI:
-
/api/v1/user/base?username=***&realm_id=***
-
/api/v1/user/base/[id]
-
/api/v1/user/base
Input fields:
| Field name | Type | Required | Description |
|---|---|---|---|
| id | string | No | The user ID. |
| realm_id | string | Yes | The realm ID. |
|
username |
string |
No |
|
|
|
string |
No |
The user's email address. |
|
mobile_number |
string |
No |
The user's mobile phone number. |
|
case_accent_sensitive |
boolean |
No |
Whether the username is case-sensitive. |
Successful response fields:
| Field name | Type | Description |
|---|---|---|
| customer_id | string | The customer ID. |
| client_id | string | The client ID. |
|
user_id |
string |
The user ID. |
|
notification_method |
string |
Supported notification method, which can either of
|
|
auth_method |
string |
The authentication method, which can be one of the following:
|
|
username |
string |
The user name. |
|
id |
string |
The user ID. |
|
realm_id |
string |
The realm ID. |
|
mobile_number |
string |
The user's mobile phone number. |
|
email |
string |
The user's email address. |
|
active |
boolean |
If the user is active. |
|
created_at |
string |
The timestamp when the user was created. |
|
updated_at |
string |
The timestamp when the user was last updated. |
|
bypass_at |
string |
The timestamp when the user was bypassed. |
|
lockout_at |
string |
The timestamp when the user was locked out. |
|
fail_times |
integer |
The number of failed attempts of user login validation. |
|
temp_token |
boolean |
If the user is enabled for temporary token. |
Response codes:
| Code | Response content | Description |
|---|---|---|
| 200 OK | User info is successfully returned. | |
|
400 Bad Request |
application is not found. |
|
|
402 Payment Required |
No valid FIC subscription is found. |
Please enable free trial or register the license(s). |
|
403 Forbidden |
You are not authorized to access the user. |
|
| 404 Not Found |
|
Example request body:
{
"id": “12345678-abcd-efgh-1234-xxxxxxxxxxxx"
}
Example of successful response body:
{
"created_at": "2023-03-10T23:39:15",
"updated_at": null,
"id": "12345678-abcd-efgh-1234-xxxxxxxxxxxx",
"username": "abc",
"email": "abc@fortinet.com"
"mobile_number": "+1123456789",
"customer_id": "123456",
"realm_id": "12345678-abcd-efgh-1234-xxxxxxxxxxxx",
"active": true,
"bypass_at": null,
"lockout_at": null,
"temp_token": false,
"fail_times": 0,
"auth_method": "FTM",
"notification_method": "Email",
"sn": "abcd",
"expire_at": "2023-03-13T23:39:15",
"status": 0,
"refs": 1,
"usernames": "abc",
"refs_list": [
{
"name": "MyAuthClient",
"sn": null,
"cluster_id": null,
"vdom": "root",
"id": "12345678-abcd-efgh-1234-xxxxxxxxxxxx",
"members": null,
"username": "abc",
"email": "abc@fortinet.com",
"mobile_number": "+1123456789",
"refid": "12345678-abcd-efgh-1234-xxxxxxxxxxxx"
}
],
"auth_history": {}
}